/* FONT AND TEXT COLORING */
@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");

:root {
  --header-height: 7rem;
  --side-width: 300px;

  --first-color: #ffffff;
  --text-color: #161313;
  --side-color: #d02323;
  --side-color-light: #faf0f0;
  --title-color: #1b1818;
  --text-color: #363131;
  --text-color-light: #292424;
  --body-color: #fdf6f6;
  --container-color: #FFFFFF;

  --body-font: "Poppins", sans-serif;
  --biggest-font-size: 2.4rem;
  --normal-font-size: 1rem;
  --smaller-font-size: .75rem;

  --z-fixed: 100;
}

@media screen and (min-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
    --biggest-font-size: 5rem;
    --normal-font-size: 1rem;
    --smaller-font-size: .9rem;
  }
}

/* reset default styling */
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  font-weight: 500;
  color: var(--text-color);
  overflow: hidden;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: black;
}

img {
  max-width: 100%;
  height: auto;
}

.container {
  max-width: 1024px;
  margin-left: 1.5rem;
  margin-right: 1.5rem;
}

.main {
  overflow: hidden;
}

/* HEADER + NAV */

a:hover {
  color: var(--text-color);
  font-weight: bold;
}

.header {
  position: fixed;
  width: 100%;
  background-color: transparent;
  top: 0;
  left: 0;
  z-index: 100;
}

.title {
  width: 100%;
  min-height: 1.5%;
  max-height: 5%;
  position: absolute;
  pointer-events: none;
  z-index: 100;
}

.nav {
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fff;
}

.nav_logo,
.nav_toggle {
  color: var(--text-color);
  display: inline-flex;
}

.nav_logo {
  pointer-events: none;
  z-index: 100;
  padding: 0 10px 0 40px;

  width: 250px;
  object-fit: contain;
}

.nav_toggle {
  font-size: 1.25rem;
  cursor: pointer;
}

@media screen and (max-width: 767px) {
  .nav_menu {
    position: fixed;
    background-color: var(--first-color);
    left: 0;
    top: -100%;
    width: 100%;
    padding: 5rem 0 4rem;
    border-radius: 0 0 2rem 2rem;
    box-shadow: 0 2px 4px hsla(0, 4%, 15%, 0.15);
    transition: .4s;
  }

  .iframe {
    position: relative;
    left: 25%;
  }
}

.nav_list {
  text-align: center;
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
}

.nav_link {
  color: var(--text-color);
}

.nav_close {
  position: absolute;
  top: 1rem;
  right: 1.5rem;
  font-size: 1.5rem;
  color: var(--text-color);
  cursor: pointer;
}

.show-menu {
  top: 0;
}

/* side*/
.side {
  position: fixed;
  top: 10px;
  left: -100%;
  height: 100%;
  padding: 1rem 1rem 0;
  background-color: var(--container-color);
  z-index: var(--z-fixed);
  transition: 0.5s;
}

.side_container {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-bottom: 3rem;
  overflow: auto;
  scrollbar-width: none;
}

/* For Google Chrome and other browsers */
.side_container::-webkit-scrollbar {
  display: none;
}

.side_logo {
  font-weight: var(--font-semi-bold);
  margin-bottom: 2.5rem;
}

.side_list,
.side_items {
  display: grid;
}

.side_list {
  row-gap: 2.5rem;
}

.side_items {
  row-gap: 1.5rem;
}

.side_subtitle {
  font-size: var(--normal-font-size);
  text-transform: uppercase;
  letter-spacing: .1rem;
  color: var(--text-color-light);
}

.side_link {
  display: flex;
  align-items: center;
  color: var(--text-color);
}

.side_link:hover {
  color: var(--side-color);
}

.side_link-top {
  display: flex;
  align-items: center;
  color: var(--text-color);
  cursor: default
}

.side_icon {
  font-size: 1.2rem;
  margin-right: .5rem;
}

.side_name {
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
  white-space: nowrap;
  cursor: default;
}

.side_name-contact {
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
  white-space: nowrap;
  cursor: pointer;
}

/* dropdown */
.side_dropdown {
  overflow: hidden;
  max-height: 21px;
  transition: 0.5s ease-in-out;
}

.side_dropdown-collapse {
  background-color: var(--side-color-light);
  border-radius: .25rem;
  margin-top: 1rem;
}

.side_dropdown-content {
  display: grid;
  row-gap: .5rem;
  padding: .75rem 2.5rem .75rem 1.8rem;
}

.side_dropdown-item {
  font-size: var(--smaller-font-size);
  font-weight: var(--font-medium);
  color: var(--text-color);
}

.side_dropdown-item:hover {
  color: var(--side-color);
}

.side_dropdown-icon {
  margin-left: auto;
  transition: .4s;
}

/* show dropdown collapse */
.side_dropdown:hover {
  max-height: 100rem;
}

/* turn dropdown arrow upside down */
.side_dropdown:hover .side_dropdown-icon {
  transform: rotate(180deg);
}

/* show sidemenu */
.show-sidesidemenu {
  left: 0;
}

/* active link color */
.active {
  color: var(--side-color);
}

/* home */
.home {
  background-color: var(--first-color);
  display: grid;
  padding: 9rem 0 2rem;
  height: 100vh;
}

.home_footer {
  display: flex;
  justify-content: center;
  column-gap: .5rem;
  font-size: var(--smaller-font-size);
  align-self: flex-end;
}

/* iframe */

iframe {
  display: block;
  margin: 0 auto;
  width: 75%;
  height: 130%;
}

/* BREAKPOINTS */
/* small devices */
@media screen and (max-width: 320px) {
  .home {
    padding-top: 7rem;
  }
}

/* medium devices */
@media screen and (min-width: 767px) {
  body {
    padding: 1rem 3rem 0 6rem;
  }

  .nav {
    height: calc(var(--header-height) + 1.5rem);
  }

  .nav_toggle,
  .nav_close {
    display: none;
  }

  .nav_list {
    flex-direction: row;
    column-gap: 3.5rem;
  }

  .side {
    left: 0;
    padding: 1.2rem 1.5rem 0;
    width: 68px;
  }

  .side_items {
    row-gap: 1.7rem;
  }

  .side_icon {
    font-size: 1.3rem;
  }

  /* element opacity */
  .side_logo-name,
  .side_name,
  .side_subtitle,
  .side_dropdown-icon {
    opacity: 0;
    transition: .3s;
  }


  /* sidebar expanded */
  .side:hover {
    width: var(--side-width);
  }

  /* Visible elements */
  .side:hover .side_logo-name {
    opacity: 1;
  }

  .side:hover .side_subtitle {
    opacity: 1;
  }

  .side:hover .side_name {
    opacity: 1;
  }

  .side:hover .side_dropdown-icon {
    opacity: 1;
  }
}

/* large devices */
@media screen and (min-width: 1024px) {
  /* ? */
}

@media screen and (min-width: 1048px) {
  .container {
    margin-left: auto;
    margin-right: auto;
  }

}